
#include	<stdio.h>
#include	<stdlib.h>
#include	<string.h>
#include	"vesa.h"

#define	VESA_MODE_640x480x256	0x101

//This is just about the smallest test program I could make.
//It's rough and dodgy, but it shows the basics.
//compile it using "maketest.bat"
//Setting the palette is the same as is done for VGA, so that's not included.

//This will compile under both C (wcc386) and C++ (wpp386).

SLONG main(void)
{
	UBYTE	*	screen;

	if(vesa_get_info())
	{
		if(vesa_set_mode(VESA_MODE_640x480x256))
		{
			if((screen = (UBYTE *)malloc((640 * 480))) != NULL)
			{
				SLONG	i;

				for(i = 0 ; i < (640 * 480) ; i++)
				{
					screen[i] = (UBYTE)(i & 0xff);		//Fill the screen with some rubbish.
				}
				for(i = 0 ; i < 100 ; i++)				//Loop for a short while.
				{
					vesa_screen_swap(screen,vesa_width,vesa_height,(vesa_bits_per_pixel >> 3));
				}
			}
		}
		else
		{
			printf("ERROR : VESA mode 0x%03x not supported by your card.\n",VESA_MODE_640x480x256);
		}
		vesa_free_info();
	}
	else
	{
		printf("ERROR : VESA driver not present.\n");
	}
	return(0);
}

